import { DomWrapper, DomRenderer, Base, Type } from "igniteui-react-core/ES5/type";
import { FinancialChartRangeSelectorViewModel } from "./FinancialChartRangeSelectorViewModel";
import { FinancialChartRangeSelectorVisualData } from "./FinancialChartRangeSelectorVisualData";
import { FinancialChartRangeSelectorOptionCollection } from "./FinancialChartRangeSelectorOptionCollection";
export declare class FinancialChartRangeSelectorView extends Base {
    d(a: DomRenderer, b: FinancialChartRangeSelectorViewModel): void;
    private f(a, b, c);
    e(a: FinancialChartRangeSelectorViewModel): void;
    c(a: DomWrapper): FinancialChartRangeSelectorVisualData;
    private b(a);
    g(a: FinancialChartRangeSelectorOptionCollection): void;
    private a(a);
    static $t: Type;
}
